Bug 64112 - Typo in lang.csh: GDM_LANG handling
Summary: Typo in lang.csh: GDM_LANG handling
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-25 20:52 UTC by Stephen Walton
Modified: 2014-03-17 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-25 20:53:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Walton 2002-04-25 20:52:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i686)

Description of problem:
There is a typo in /etc/profile.d/lang.csh.  Line 13 reads

setenv LANG=$GDM_LANG

instead of the correct

setenv LANG $GDM_LANG

Version-Release number of selected component (if applicable):

initscripts-6.43-1

How reproducible:
Always

Steps to Reproduce:
1. Install gdm
2. Log into an account with tcsh as login shell
3. printenv | grep LANG

You'll see an environment variable called 'LANG=en_US' , assuming your original
GDM_LANG was en_US.   This is in addition to the LANG variable which has the
value en_US.
	

Actual Results:  Programs which depend on the correct locale work incorrectly.

Additional info:

Comment 1 Bill Nottingham 2002-06-12 06:56:52 UTC
Fixed in current initscripts.


Note You need to log in before you can comment on or make changes to this bug.